
<%= render :partial => 'admin/admin_navigation' %>


<h1>OpenVZ Server</h1>

<%if @host %>
  <p>Current OpenVZ Server: <%= h(@host.ip)%></p>
<%else%>
  <p>There are no OpenVZ servers configured.</p>
<%end%>


<%u=url_for :controller => 'init_page', :action => 'validate_key' %>
<form action="<%=u%>" method="post" name="new_openvz_server">
  <input type="text" name="ip"></input>
  <input type="submit" value="Add"></input>
</form>






<%if @host %>
<h1>Mwamko's SSH Public Key</h1>
<p>To give Mwamko access to the OpenVZ server, on the OpenVZ server:</p>

<ol>
<li>Create the user <tt><%=WHOAMI%></tt></li>

<li style="margin-bottom: 1em;">Add <pre><%=WHOAMI%> ALL=(ALL) NOPASSWD: ALL</pre> 
to the <tt>/etc/sudoers</tt> file.</li>

<li>Add the following to
  the <tt>~<%=WHOAMI%>/.ssh/authorized_keys2</tt> file.
  
  <textarea style="width: 30em; height: 8em; margin-bottom: 3em;"
  ><%= h(@server_key) %></textarea> 
</li>

<li>Run: 
  <pre>chmod g=,o= ~<%=WHOAMI%>/.ssh/authorized_keys2</pre>
</li>
</ol>
<%end%>
